<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use \App\Models\IncidenciasTipo;

class IncidenciasTiposController extends Controller
{
    public function index()
    {
        $data = IncidenciasTipo::all();
        return $data;
    }

    public function create()
    {        
    }

    public function store(Request $request)
    {
        $tipo = new IncidenciasTipo();
        $tipo->name = $request->name;
        $tipo->save();

        return ['status' => 'success', 'data' => $tipo];
    }

    public function show($id)
    {
        $data = IncidenciasTipo::find($id);
        return $data;
    }

    public function edit($id)
    {
    }

    public function update(Request $request, $id)
    {
        $tipo = (new IncidenciasTipo)->find($id);
        if (!$tipo) {
            return;
        }
        $tipo->name = $request->name;
        $tipo->save();

        return ['status' => 'success', 'data' => $tipo];
    }

    public function destroy($id)
    {
        $delete = IncidenciasTipo::find($id);
        $delete->delete();

        $data = IncidenciasTipo::all();
        return $data;
    }
    
}
